[Blends-commit] [SCM] website branch, master, updated. 92310cd7565073a63b2c33bb520c42a32f02657e

Andreas Tille tille at debian.org
Wed May 18 11:16:57 UTC 2016


The following commit has been merged in the master branch:
commit 92310cd7565073a63b2c33bb520c42a32f02657e
Author: Andreas Tille <tille at debian.org>
Date:   Wed May 18 13:16:15 2016 +0200

    Add simple script to query for packages with / without autopkgtest in a certain task of a Blend

diff --git a/misc/sql/0-missing-autopkgtest.sh b/misc/sql/0-missing-autopkgtest.sh
new file mode 100755
index 0000000..da06a5e
--- /dev/null
+++ b/misc/sql/0-missing-autopkgtest.sh
@@ -0,0 +1,36 @@
+#!/bin/sh
+# seek for packages without autopkgtest ordered by popcon
+
+if [ $# -ne 2 ] ; then
+    echo "Usage: $0 <blend> <task>"
+    exit 1
+fi
+
+SERVICE="service=udd"
+#if there is a local UDD clone just use this
+if psql $PORT -l 2>/dev/null | grep -qw udd ; then
+    SERVICE=udd
+fi
+
+# Check UDD connection
+if ! psql $PORT $SERVICE -c "" 2>/dev/null ; then
+    echo "No local UDD found, use publich mirror."
+    PORT="--port=5432"
+    export PGPASSWORD="public-udd-mirror"
+    SERVICE="--host=public-udd-mirror.xvm.mit.edu --username=public-udd-mirror udd"
+fi
+
+psql $SERVICE <<EOT
+SELECT DISTINCT source, release, testsuite FROM sources
+  WHERE source IN (
+    SELECT DISTINCT source FROM packages WHERE package IN (
+        SELECT package FROM blends_dependencies WHERE blend = '$1' AND task = '$2'
+      )
+    ) AND release = 'sid'
+  ORDER BY source
+  ;
+EOT
+
+
+exit 0
+

-- 
Static and dynamic websites for Debian Pure Blends



More information about the Blends-commit mailing list